Changeset 2195 in MondoRescue for branches/2.2.9/mondo/configure.in


Ignore:
Timestamp:
May 11, 2009, 3:08:02 AM (12 years ago)
Author:
Bruno Cornec
Message:
  • -Werror=format-security option used only for gcc >= 4.2
  • fix compiler issue and one warning
File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/2.2.9/mondo/configure.in

    r2190 r2195  
    7272        AC_CHECK_LIB(pthread, pthread_create, true, [echo "*** Cannot find -lpthread."; echo "*** Please make sure you have the linuxthreads glibc add-on installed."; exit 1])
    7373        PTHREAD="-lpthread"
    74         CFLAGS="$CFLAGS -Wall -Wno-return-type -Werror=format-security -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT"
     74        GCC_MAJ="`gcc -dumpversion 2>&1 | cut -d. -f1`"
     75        GCC_MIN="`gcc -dumpversion 2>&1 | cut -d. -f2`"
     76        CFLAGS="$CFLAGS -Wall -Wno-return-type -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT"
     77        if test "$GCC_MAJ" -ge "4" && test "$GCC_MIN" -ge "2"; then
     78            CFLAGS="$CFLAGS -Werror=format-security"
     79        fi
    7580        ;;
    7681    *)
Note: See TracChangeset for help on using the changeset viewer.